<?php declare(strict_types=1);

namespace App\ServiceResults\Api\V1\CaptchaService;

use App\ServiceResults\ServiceResult;

final class CaptchaVerificationInformationResult extends ServiceResult
{
    public function __construct(
        private readonly bool $status,
        private readonly string $message,
    ) { }

    public function isStatus(): bool
    {
        return $this->status;
    }

    public function getMessage(): string
    {
        return $this->message;
    }
}
